## SECTION=system_libraries

config LIBPHIDGET
	tristate	
	select LIBUSB_COMPAT   if LIBPHIDGET_OLDLIBUSB 
	select LIBUSB if !LIBPHIDGET_OLDLIBUSB
	select AVAHI if LIBPHIDGET_ZEROCONF || LIBPHIDGET_ZEROCONF_LOOKUP
	select LIBPTHREAD_STUBS
	select  GLIBC_C
	
	prompt "libphidget"
	help
	  Phidgets are a set of plug and play building blocks for low 
	  cost USB sensing and control from your PC.


if LIBPHIDGET

config LIBPHIDGET_JNI
	bool
	prompt "Compile in Java support"

config LIBPHIDGET_OLDLIBUSB
	bool
	prompt "Enable USB support"

config LIBPHIDGET_ZEROCONF
	bool
	prompt "Enable Zeroconf Support"

config LIBPHIDGET_ZEROCONF_LOOKUP
	bool
	prompt "Enable Zeroconf lookup"

config LIBPHIDGET_DEBUG
	bool
	prompt "make the program more noisy"


endif
